Page Summary
-
A line item can be deleted using a DELETE request to the specified URL which includes the
advertiserIdandlineItemId. -
The line item must be archived by setting its
entityStatustoENTITY_STATUS_ARCHIVEDbefore it can be deleted. -
The request body for deleting a line item must be empty, and a successful response body is also empty.
-
The operation requires authorization with the
https://www.googleapis.com/auth/display-videoOAuth scope.
Deletes a line item. Returns error code NOT_FOUND if the line item does not exist. The line item should be archived first, i.e. set entityStatus to ENTITY_STATUS_ARCHIVED, to be able to delete it.
HTTP request
DELETE https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/lineItems/{lineItemId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
advertiserId |
The ID of the advertiser this line item belongs to. |
lineItemId |
The ID of the line item we need to fetch. |
Request body
The request body must be empty.
Response body
If successful, the response body is empty.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.